use crate::{
    app::SharedApp,
    services::{domain_events::extensions::DomainEventsExt, file_store::extensions::FileStoreExt},
};

use super::ReleaseManager;

pub trait ReleaseManagerExt {
    fn release_manager(&self) -> ReleaseManager;
}

impl ReleaseManagerExt for SharedApp {
    fn release_manager(&self) -> ReleaseManager {
        ReleaseManager::new(self.file_store(), self.domain_events())
    }
}
